package com.example.rehabilitation

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import com.example.rehabilitation.Admin.activityAdmin.FeedbackActivity
import com.example.rehabilitation.Admin.activityAdmin.StatisticsActivity
import com.example.rehabilitation.Admin.activityAdmin.UserSettingActivity
import com.example.rehabilitation.databinding.ActivitySettingBinding
import com.example.rehabilitation.Admin.fragmrntAdmin.FeedbackFragment
import com.example.rehabilitation.Admin.fragmrntAdmin.MainSettingFragment
import com.example.rehabilitation.Admin.fragmrntAdmin.StatisticsFragment
import com.example.rehabilitation.Admin.fragmrntAdmin.UserSettingFragment

class SettingActivity : AppCompatActivity() {
    private lateinit var binding: ActivitySettingBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivitySettingBinding.inflate(layoutInflater)
        setContentView(binding.root)

//        //Выводим фрагмент как экран
//        supportFragmentManager.beginTransaction()
//            .replace(R.id.CLMainSetting, MainSettingFragment.newInstance())
//            .commit()//Заменяем наш экран на фрагмент (используем наш экран как основу)//R.id.placeHolder - куда всталяем //MainFragment.newInstance() - это то что мы вставляем


        binding.btnExitSetting.setOnClickListener {
            finish()
        }

        binding.cvSettingUser.setOnClickListener{
            val intent = Intent(this, UserSettingActivity::class.java)
            startActivity(intent)
        }

       binding.cvFeedback.setOnClickListener{
           val intent = Intent(this, FeedbackActivity::class.java)
           startActivity(intent)
       }

       binding.cvStatistics.setOnClickListener{
           val intent = Intent(this, StatisticsActivity::class.java)
           startActivity(intent)
       }

    }



}