package com.example.rehabilitation.db

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import kotlinx.coroutines.flow.Flow

@Dao
interface DaoImage {
    //Таблица определенного дня
    @Insert
    fun insertItemImage(itemImage:ItemImage)

    //Список определенного дня
    @Query("SELECT * FROM itemImage ")
    fun getAllItemImage(): Flow<List<ItemImage>>

    //Список определенного дня
    @Query("SELECT * FROM itemImage WHERE article = :article ORDER BY id ASC")
    fun getAllItemImage(article:String): Flow<List<ItemImage>>

    //Очистка таблицы
    @Query("DELETE FROM itemImage")
    fun deleteItemImage()

}