package com.example.rehabilitation.db

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "itemImage")
data class ItemImage(
    @PrimaryKey(autoGenerate = true)
    var id:Int? = null,
    @ColumnInfo(name = "nameImage")
    var image:String,
    @ColumnInfo(name = "article")
    var name:String,
    @ColumnInfo(name = "category")
    var category:String,
)
