package com.example.sqlitework.dip

import android.app.Application
import androidx.lifecycle.*
import com.example.rehabilitation.dip.Day.DayModel
import com.example.rehabilitation.dip.Image.ImageSportModel
import com.example.rehabilitation.dip.Month.MonthModel


//Тут будут обновлятся данные, следим за списками если что-то обновилось, то уведомлякм и потом ProductAdapter обновит
class MainViewModel(application: Application) :AndroidViewModel(application){


    //Объявления
    val liveListCurrent = MutableLiveData<MonthModel>()//Сюда передается новая информация на один день(для слайдера)
    val liveListList= MutableLiveData<List<MonthModel>>()//Сюда передается новая информация на один день(для все продукции - всего списка)

    val liveDayCurrent = MutableLiveData<DayModel>()//Сюда передается новая информация на один день(для слайдера)
    val liveDayList= MutableLiveData<List<DayModel>>()//Сюда передается новая информация на один день(для все продукции - всего списка)


    val liveImageCurrent = MutableLiveData<ImageSportModel>()//Сюда передается новая информация на один день(для слайдера)
    val liveImageList= MutableLiveData<List<ImageSportModel>>()//Сюда передается новая информация на один день(для все продукции - всего списка)

}