package com.example.rehabilitation.Admin.fragmrntAdmin

import android.os.Binder
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.example.rehabilitation.R
import com.example.rehabilitation.databinding.FragmentMainSettingBinding


class MainSettingFragment : Fragment() {
    private lateinit var binding: FragmentMainSettingBinding

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        binding = FragmentMainSettingBinding.inflate(layoutInflater,container,false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        //Выход на основную часть
        binding.btnExitSetting.setOnClickListener {
            activity?.finish()
        }

        binding.cvSettingUser.setOnClickListener{

        }

        binding.cvFeedback.setOnClickListener{

        }

        binding.cvStatistics.setOnClickListener{

        }
    }

    companion object {

        fun newInstance() = MainSettingFragment()
    }
}