package com.example.rehabilitation.db

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import kotlinx.coroutines.flow.Flow

@Dao
interface DaoSportCategory {
    //Таблица по по дням
    @Insert
    fun insertItemSportCategory(item:ItemSportCategory)
    //Таблица определенного дня


    //Список по дням
    @Query("SELECT * FROM itemSportCategory WHERE image = :category")
    fun getAllItemsSportCategory(category:String): Flow<List<ItemSportCategory>>

    //Список определенного дня
//    @Query("SELECT * FROM itemDay")
//    fun getAllItemDay(): Flow<List<ItemDay>>

    //Обновление по переднному параметру
//    @Query("UPDATE itemSportCategory SET `check` = 1 WHERE id = :id")
//    fun updateItemsSportCategory(id : String)

     //Очистка таблицы
    @Query("DELETE FROM itemSportCategory")
    fun deleteItemSportCategory()

}