package com.example.rehabilitation.db

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import java.util.Date

@Entity(tableName = "itemSportCategory")
data class ItemSportCategory(
    @PrimaryKey(autoGenerate = true)
    var id:Int? = null,
    @ColumnInfo(name = "name")
    var name:String,
    @ColumnInfo(name = "desc")
    var desc:String,
    @ColumnInfo(name = "count")
    var count:String,
    @ColumnInfo(name = "image")
    var image:String,
    @ColumnInfo(name = "category")
    var category:String
)

